Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation
Interface PlannedOperation<Context>

All Superinterfaces:
  Operation<Context>

All Known Subinterfaces:
  Assertion<PC>, GroupAssertion<C>, ValueAssertion<C>

All Known Implementing Classes:
  AssertEquals, AssertEqualsAll, AssertExpression, AssertGroupBase, AssertGroupSizeEquals, AssertGroupSizeLessThan, AssertGroupSizeMoreThan, AssertMatches, AssertMatchesAll, AssertNotEquals, AssertNotNull, AssertNull, AssertSizeEquals, AssertSizeLessThan, AssertSizeMoreThan, BaseAssertion, Debug

    public interface PlannedOperation<Context>

extends Operation<Context>

Interface PlannedOperation is implemented by all `Operation` implementations that use a `PlannerLevel` value to inform the `FlowPlanner` how to treat the operation during job planning.

Field Summary

Fields inherited from interface cascading.operation.Operation
`ANY`

Method Summary
`boolean` | `supportsPlannerLevel(PlannerLevel plannerLevel)`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Method Detail

### supportsPlannerLevel

    boolean supportsPlannerLevel(PlannerLevel plannerLevel)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.